Skip to navigation

Get MoleculeSchema by ID

Get a single MoleculeSchema by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

molecule_schema_idstringRequired
ID of the MoleculeSchema.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
availableRegistrationNamingOptionslist of enumsOptional
constraintobject or nullOptional

Defines uniqueness requirements for entities within a schema. Constraints ensure that registered entities have unique values across specified fields (see fieldDefinitionNames) or unique domain-specific properties (see TypeSpecificConstraint). The hasUniqueResidues field is a legacy indicator for sequence uniqueness.

containableTypeenumOptional
Allowed values:
containerNameTemplateobject or nullOptional
A name template for containers.
createdAtstring or nullOptional
descriptionstringOptional
fieldDefinitionsstringOptionalformat: "uri"
fieldsetsstringOptionalformat: "uri"
iconIdenumOptional
Allowed values:
idstringOptional
includeRegistryIdInChipsbooleanOptional
itemIdPrefixstringOptional
modifiedAtstringOptional
namestringOptional
nameTemplateobject or nullOptional
A name template for entities.
organizationobjectOptional
systemCategorieslist of objectsOptional
systemNamestringOptional
useRegistryIdForItemDisplayLabelbooleanOptional
validationRulesstringOptionalformat: "uri"

Errors

400
Molecule Schema Get Request Bad Request Error
403
Molecule Schema Get Request Forbidden Error
404
Molecule Schema Get Request Not Found Error
429
Molecule Schema Get Request Too Many Requests Error
500
Molecule Schema Get Request Internal Server Error